<?php

/**
 * @package     Sprinix_Offer
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */
namespace Sprinix\Offer\Model\ResourceModel;
use Magento\Framework\Model\ResourceModel\Db\AbstractDb;
use Magento\Framework\Model\ResourceModel\Db\Context;

/**
 * Class Post
 * @package Sprinix\Offer\Model\ResourceModel
 */
class Post extends AbstractDb
{
    /**
     * Post constructor.
     * @param Context $context
     */
	public function __construct(
		Context $context
	)
	{
		parent::__construct($context);
	}
	protected function _construct()
	{
		$this->_init('offerlist', 'id');
	}
}
