/**
 * @package     Sprinix_Offer
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */

define(['uiComponent', 'jquery', 'Magento_Ui/js/modal/modal','mage/cookies'], function (Component, $, modal) {
        'use strict';
        return Component.extend({
            initialize: function () {
                this._super();
                let options = {
                    type: 'popup',
                    responsive: true,
                    innerScroll: true,
                    clickableOverlay: true,
                    buttons: false
                };
                let offerPopup = $('#offer-popup');
                let popup = modal(options, offerPopup);
                let cookie_set = $.cookie('popupcookie');
                let enableModule = this.enable;
                if(enableModule === 1 && this.flag === 1) {
                    if (cookie_set !== 'closed') {
                         offerPopup.modal("openModal");
                    }
                    $('.action-close').click(function () {
                        $("#offer-popup").modal("closeModal");
                        $.cookie('popupcookie', 'closed', {expires: 1});
                    });
                }
            }
        });
    }
);
